# Class ELContextEvent

java.lang.Object
java.util.EventObject
jakarta.el.ELContextEvent

All Implemented Interfaces:
  `Serializable`

public class ELContextEvent extends EventObject
Event object passed to `ELContextListener` instances when an EL context is created or released. The source of this event is the `ELContext` that was created or released.

Since:
  EL 2.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELContextEvent(ELContext source)`
  Constructs an ELContextEvent with the specified ELContext as its source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ELContext`
  `getELContext()`
  Returns the ELContext that is the source of this event.

  ### Methods inherited from class EventObject

  `getSource, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELContextEvent

    public ELContextEvent(ELContext source)
    Constructs an ELContextEvent with the specified ELContext as its source.
    Parameters:
      `source` - The EL context that was the source of this event

- ## Method Details

  - ### getELContext

    public ELContext getELContext()
    Returns the ELContext that is the source of this event.
    Returns:
      the ELContext associated with this event